
Summary:       Ambiosonics decoder for ALSA/JACK
Name:          ambdec
Version:       0.5.1
Release:       7%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-manual.pdf
Source2:       %{name}.desktop
Source3:       %{name}.conf

Requires:      hicolor-icon-theme
BuildRequires: desktop-file-utils 
BuildRequires: libpng-devel
BuildRequires: clthreads-devel 
BuildRequires: clxclient-devel 
BuildRequires: jack-audio-connection-kit-devel 
BuildRequires: alsa-lib-devel
BuildRequires: libsndfile-devel 
BuildRequires: libX11-devel 
BuildRequires: libXft-devel

%description
%{name} is an Ambisonic decoder for first and second order. Main features:
 *  1st, 2nd and 3rd order 2-D or 3-D decoding.
 *  Up to 36 speakers (could be extended).
 *  Optional dual frequency band decoding.
 *  Optional speaker delay and gain compensation.
 *  Optional Near-Field effect compensation.
 *  Built-in test and Mute/Solo for each speaker.
 *  Unlimited number of presets.
 *  Jack client with graphical user interface.

%prep
%setup -q
cp %{SOURCE1} %{name}-manual.pdf
# use Fedora build flags
sed -e 's|-march=native|%{optflags}|' \
    -e 's|-O2 -ffast-math||' -i source/Makefile 

%build
pushd  source
make PREFIX=%{_prefix}  LDFLAGS="-lpthread " %{?_smp_mflags}

%install
pushd source
make DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install
popd

# install the presets
mkdir -p %{buildroot}%{_datadir}/%{name}
pushd presets
tar cf - * | (cd %{buildroot}%{_datadir}/%{name}/; tar xpf -)
popd

# and point to them from the configuration file
mkdir -p %{buildroot}%{_sysconfdir}
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}.conf
# .desktop file

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
      %{SOURCE2}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
      
%files
%doc %{name}-manual.pdf README COPYING AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}_cli
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Nov 11 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.5.1-2
- Applied Fedora packaging guyidelines to spec.

* Wed Oct 26 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.5.1-1
- Copied from Planet CCRMA spec

